Page MenuHomePhabricator

Template translation is broken if none of the parameters can be auto-mapped
Closed, ResolvedPublic

Description

I'm trying to translate the article אייל קרים ("Eyal Krim") from Hebrew to English.

It has infobox חייל ("hayal") in the beginning. Its English equivalent template is Infobox military person.

When I try to translated, I see that the template card says "חייל". I would expect it to say the English name.

I cannot edit it either. I clicked the empty paragraph several times and nothing happened.

The current version according Special:Version is rECTXcfaf2a4ad82f86ce057b0af4f2721f88428f255d.

I tried it with several more articles: "Hoboken, New Jersey", "Olivia Newton-John", "Whale shark". Broken everywhere.

"Unbreak now" because we are branching today, and we may deploy broken template adaptation.

Event Timeline

Amire80 created this task.Nov 29 2016, 12:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2016, 12:02 PM
Amire80 renamed this task from Template {{Infobox military person}} cannot be translated in CX2 to Template translation is broken in CX2.Nov 29 2016, 12:14 PM
Amire80 triaged this task as Unbreak Now! priority.
Amire80 updated the task description. (Show Details)
Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes. · View Herald TranscriptNov 29 2016, 12:14 PM
Amire80 renamed this task from Template translation is broken in CX2 to Template translation to Hebrew is broken in CX2.Nov 29 2016, 12:24 PM
Arrbee lowered the priority of this task from Unbreak Now! to High.Nov 29 2016, 12:49 PM
Arrbee added a subscriber: Arrbee.

Lowering the priority because this is not in production yet.

Change 324173 had a related patch set uploaded (by Nikerabbit):
Allow template editor even if parameter mapping fails completely

https://gerrit.wikimedia.org/r/324173

Amire80 renamed this task from Template translation to Hebrew is broken in CX2 to Template translation is broken if none of the parameters can be auto-mapped.Nov 29 2016, 6:30 PM

Just a summary:

Niklas found that this only happens when none of the parameters can be auto-mapped in any way. Of course, in such a case it must still be possible to select the parameters and to type their values manually.

Right. this is case we need change in this iteration. Before the template editor, we were aborting the adaptation process when none of parameters were able to map. Now we can allow the adaptation process to proceed

Screenshot with the above patch

Change 324173 merged by jenkins-bot:
Allow template editor even if parameter mapping fails completely

https://gerrit.wikimedia.org/r/324173

Change 324377 had a related patch set uploaded (by KartikMistry):
Allow template editor even if parameter mapping fails completely

https://gerrit.wikimedia.org/r/324377

Change 324377 merged by jenkins-bot:
Allow template editor even if parameter mapping fails completely

https://gerrit.wikimedia.org/r/324377

Mentioned in SAL (#wikimedia-operations) [2016-11-30T14:40:01Z] <dereckson@tin> Synchronized php-1.29.0-wmf.4/extensions/ContentTranslation/modules/tools/ext.cx.tools.template.js: Allow template editor even if parameter mapping fails completely (T151868) (duration: 00m 45s)

Amire80 moved this task from Blocked to Done on the Language-Q2-2016-17 Sprint 4 board.
Arrbee closed this task as Resolved.Dec 6 2016, 6:47 AM
Arrbee claimed this task.